CREATE FUNCTION "DBA"."existid_pa_yksus_erisood"( in a_skoop integer default 0, in a_nimi char(50) default 'Erisoodustused')
returns integer
begin
  declare ll_yksusnr integer;
  if a_skoop is null then
    set a_skoop=0
  end if;
  select first pa_yksus.yksusnr into ll_yksusnr from pa_yksus where pa_yksus.skoop=a_skoop and pa_yksus.nimi=a_nimi;
  if ll_yksusnr=0 or ll_yksusnr is null then
    insert into pa_yksus( skoop,nimi ) values( a_skoop,a_nimi);
    select first pa_yksus.yksusnr into ll_yksusnr from pa_yksus where pa_yksus.skoop=a_skoop and pa_yksus.nimi=a_nimi;
  end if;
  return(ll_yksusnr)
end